# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.12")
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.12...3.29)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS FortranEvaluate FortranDecimal FortranLower FortranParser FortranSemantics FortranSupport flangFrontend flangFrontendTool FortranUtils FIRAnalysis FIRBuilder FIRCodeGen FIRDialectSupport CUFAttrs CUFDialect FIRCodeGenDialect MIFDialect FIRDialect HLFIRDialect HLFIRTransforms FIROpenACCAnalysis FIROpenACCSupport FIROpenACCTransforms FlangOpenMPTransforms FIROpenMPSupport flangPasses FIRSupport FIRTransforms bbc flang tco f18-parse-demo fir-opt fir-lsp-server)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target FortranEvaluate
add_library(FortranEvaluate STATIC IMPORTED)

set_target_properties(FortranEvaluate PROPERTIES
  INTERFACE_LINK_LIBRARIES "FortranSupport;FortranDecimal;FortranParser;LLVM;\$<LINK_ONLY:clang-cpp>"
)

# Create imported target FortranDecimal
add_library(FortranDecimal STATIC IMPORTED)

set_target_properties(FortranDecimal PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM;\$<LINK_ONLY:clang-cpp>"
)

# Create imported target FortranLower
add_library(FortranLower STATIC IMPORTED)

set_target_properties(FortranLower PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFAttrs;CUFDialect;FIRDialect;FIRDialectSupport;FIRBuilder;FIROpenACCSupport;FIRSupport;FIRTransforms;HLFIRDialect;FortranSupport;FortranParser;FortranEvaluate;FortranSemantics;FortranUtils;MIFDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FortranParser
add_library(FortranParser STATIC IMPORTED)

set_target_properties(FortranParser PROPERTIES
  INTERFACE_LINK_LIBRARIES "FortranSupport;LLVM;\$<LINK_ONLY:clang-cpp>"
)

# Create imported target FortranSemantics
add_library(FortranSemantics STATIC IMPORTED)

set_target_properties(FortranSemantics PROPERTIES
  INTERFACE_LINK_LIBRARIES "FortranSupport;FortranParser;FortranEvaluate;LLVM;\$<LINK_ONLY:clang-cpp>"
)

# Create imported target FortranSupport
add_library(FortranSupport STATIC IMPORTED)

set_target_properties(FortranSupport PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target flangFrontend
add_library(flangFrontend STATIC IMPORTED)

set_target_properties(flangFrontend PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFDialect;FortranParser;FortranSemantics;FortranEvaluate;FortranSupport;FortranLower;FortranSupport;FIRDialect;FIRDialectSupport;FIRSupport;FIRBuilder;FIRCodeGen;FIRCodeGenDialect;FIRTransforms;HLFIRDialect;HLFIRTransforms;flangPasses;FIROpenACCSupport;FIROpenMPSupport;FlangOpenMPTransforms;MIFDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target flangFrontendTool
add_library(flangFrontendTool STATIC IMPORTED)

set_target_properties(flangFrontendTool PROPERTIES
  INTERFACE_LINK_LIBRARIES "flangFrontend;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FortranUtils
add_library(FortranUtils STATIC IMPORTED)

set_target_properties(FortranUtils PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRDialect;FIRBuilder;FortranEvaluate;FortranSupport;HLFIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIRAnalysis
add_library(FIRAnalysis STATIC IMPORTED)

set_target_properties(FIRAnalysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRBuilder;FIRDialect;FIRSupport;HLFIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIRBuilder
add_library(FIRBuilder STATIC IMPORTED)

set_target_properties(FIRBuilder PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFAttrs;CUFDialect;FIRDialect;FIRDialectSupport;FIRSupport;FortranEvaluate;FortranSupport;HLFIRDialect;MIFDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIRCodeGen
add_library(FIRCodeGen STATIC IMPORTED)

set_target_properties(FIRCodeGen PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFAttrs;FIRAnalysis;FIRBuilder;FIRCodeGenDialect;FIRDialect;FIRDialectSupport;FIROpenACCSupport;FIROpenMPSupport;FIRSupport;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIRDialectSupport
add_library(FIRDialectSupport STATIC IMPORTED)

set_target_properties(FIRDialectSupport PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target CUFAttrs
add_library(CUFAttrs STATIC IMPORTED)

set_target_properties(CUFAttrs PROPERTIES
  INTERFACE_LINK_LIBRARIES "LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target CUFDialect
add_library(CUFDialect STATIC IMPORTED)

set_target_properties(CUFDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFAttrs;FIRDialect;FIRDialectSupport;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIRCodeGenDialect
add_library(FIRCodeGenDialect STATIC IMPORTED)

set_target_properties(FIRCodeGenDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target MIFDialect
add_library(MIFDialect STATIC IMPORTED)

set_target_properties(MIFDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRDialect;FIRDialectSupport;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIRDialect
add_library(FIRDialect STATIC IMPORTED)

set_target_properties(FIRDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFAttrs;FIRDialectSupport;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target HLFIRDialect
add_library(HLFIRDialect STATIC IMPORTED)

set_target_properties(HLFIRDialect PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFAttrs;FIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target HLFIRTransforms
add_library(HLFIRTransforms STATIC IMPORTED)

set_target_properties(HLFIRTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFAttrs;FIRAnalysis;FIRDialect;FIRBuilder;FIRDialectSupport;FIRSupport;FIRTransforms;FlangOpenMPTransforms;FortranEvaluate;FortranSupport;HLFIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIROpenACCAnalysis
add_library(FIROpenACCAnalysis STATIC IMPORTED)

set_target_properties(FIROpenACCAnalysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRAnalysis;FIRDialect;FIROpenACCSupport;HLFIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIROpenACCSupport
add_library(FIROpenACCSupport STATIC IMPORTED)

set_target_properties(FIROpenACCSupport PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFDialect;FIRBuilder;FIRCodeGenDialect;FIRDialect;FIRDialectSupport;FIRSupport;HLFIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIROpenACCTransforms
add_library(FIROpenACCTransforms STATIC IMPORTED)

set_target_properties(FIROpenACCTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRAnalysis;FIRDialect;FIROpenACCAnalysis;HLFIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FlangOpenMPTransforms
add_library(FlangOpenMPTransforms STATIC IMPORTED)

set_target_properties(FlangOpenMPTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRAnalysis;FIRBuilder;FIRCodeGenDialect;FIRDialect;FIRDialectSupport;FIRSupport;FortranSupport;HLFIRDialect;FortranUtils;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIROpenMPSupport
add_library(FIROpenMPSupport STATIC IMPORTED)

set_target_properties(FIROpenMPSupport PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRBuilder;FIRDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target flangPasses
add_library(flangPasses STATIC IMPORTED)

set_target_properties(flangPasses PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRCodeGen;FIRTransforms;FlangOpenMPTransforms;FortranSupport;HLFIRTransforms;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIRSupport
add_library(FIRSupport STATIC IMPORTED)

set_target_properties(FIRSupport PROPERTIES
  INTERFACE_LINK_LIBRARIES "FIRDialect;MIFDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target FIRTransforms
add_library(FIRTransforms STATIC IMPORTED)

set_target_properties(FIRTransforms PROPERTIES
  INTERFACE_LINK_LIBRARIES "CUFAttrs;CUFDialect;FIRAnalysis;FIRBuilder;FIRCodeGen;FIRCodeGenDialect;FIRDialect;FIRDialectSupport;FIRSupport;FortranSupport;HLFIRDialect;MIFDialect;LLVM;\$<LINK_ONLY:clang-cpp>;\$<LINK_ONLY:MLIR>"
)

# Create imported target bbc
add_executable(bbc IMPORTED)

# Create imported target flang
add_executable(flang IMPORTED)
set_property(TARGET flang PROPERTY ENABLE_EXPORTS 1)

# Create imported target tco
add_executable(tco IMPORTED)

# Create imported target f18-parse-demo
add_executable(f18-parse-demo IMPORTED)

# Create imported target fir-opt
add_executable(fir-opt IMPORTED)

# Create imported target fir-lsp-server
add_executable(fir-lsp-server IMPORTED)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/FlangTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# Make sure the targets which have been exported in some other
# export set exist.
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
foreach(_target "LLVM" "clang-cpp" "MLIR" )
  if(NOT TARGET "${_target}" )
    set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets "${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets} ${_target}")
  endif()
endforeach()

if(DEFINED ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
  if(CMAKE_FIND_PACKAGE_NAME)
    set( ${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
    set( ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  else()
    message(FATAL_ERROR "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  endif()
endif()
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
